%define kmod_name		lin_tape
%define kmod_driver_version	3.0.32
%define kmod_rpm_release	1

# koji will build against current (newest) kernel ...

%{!?dist: %define dist .slc6}

Source0: %{kmod_name}-%{kmod_driver_version}.tgz
Source1: %{kmod_name}.files
Source2: %{kmod_name}.conf
Source5: %{kmod_name}-98-%{kmod_name}.permissions
Source3: find-requires.ksyms
Source4: kmodtool-%{kmod_name}-cc7
Source6: kmodtool-%{kmod_name}-slc6

%define __find_requires %_sourcedir/find-requires.ksyms

Name: %{kmod_name}
Version: %{kmod_driver_version}
Release: %{kmod_rpm_release}%{?dist}
Summary: %{kmod_name} kernel module
Group: System/Kernel
License: GPL
Packager: Linux.Support@cern.ch
Vendor: CERN, http://cern.ch/linux
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Conflicts: IBMtape
BuildRequires:	%kernel_module_package_buildreqs
BuildRequires: util-linux
ExclusiveArch:  i686 x86_64
URL: ftp://ftp.software.ibm.com/storage/devdrvr/Linux/archive/lin_tape_source-lin_taped/

# Uncomment to build "debug" packages
#kernel_module_package -f %{SOURCE1} default debug

# Build only for standard kernel variant(s)
%if "%{dist}" == ".slc6"
%kernel_module_package -s %{SOURCE6} -f %{SOURCE1} default
%else
%kernel_module_package -s %{SOURCE4} -f %{SOURCE1} default
%endif

%description
The IBM Tape Device Driver, lin_tape, product is a device driver
that provides attachment for the IBM TotalStorage and System
Storage tape devices to Linux compatible platforms.

%prep
%setup -q lin_tape-%{version}
set -- *
mkdir source
touch source/lin_tape.fixlist

mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor

#	cd obj/$flavor
#	tar -xzvf %{name}-%{version}.tgz
#	cd -

	# update symvers file if existing
	symvers=source/Module.symvers-%{_target_cpu}
	if [ -e $symvers ]; then
		cp $symvers obj/$flavor/Module.symvers
	fi
	make -C %{kernel_source $flavor} M=$PWD/obj/$flavor/
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do
	make -C %{kernel_source $flavor} modules_install \
		M=$PWD/obj/$flavor/
	# Cleanup unnecessary kernel-generated module dependency files.
	find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done

install -m 644 -D %{SOURCE2} $RPM_BUILD_ROOT/etc/depmod.d/%{kmod_name}.conf

%clean

rm -rf %{buildroot}/*


%changelog
* Mon Jul 23 2018 Aurelien Gounon <aurelien.gounon@cern.ch> - 3.0.32-1
- update to 3.0.32

* Thu Jun 14 2018 Aurelien Gounon <aurelien.gounon@cern.ch> - 3.0.31-1
- bump version to 3.0.31

* Wed Nov 08 2017 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 3.0.21-1
- update to 3.0.21

* Mon Apr 24 2017 Thomas Oulevey <thomas.oulevey@cern.ch> - 3.0.18-1
- bump version to 3.0.18

* Tue Feb 28 2017 Thomas Oulevey <thomas.oulevey@cern.ch> - 3.0.16-1
- bump version to 3.0.16

* Tue Dec 06 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 3.0.12-5
- fix kmodtool-lin_tape, integrate slc6/cc7 builds.

* Thu Oct 27 2016 Thomas Oulevey <thomas.oulevey@cern.ch> -3.0.12-3
- rebuild against 7.2

* Tue Sep 20 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 3.0.12
- update

* Fri Oct 09 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 3.0.1
- update

* Mon Aug 03 2015 Thomas Oulevey <thomas.oulevey@cern.ch> 3.0.0-1
- update

* Fri May 29 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> 2.9.8.2-1
- update

* Wed Apr 15 2015 Thomas Oulevey <thomas.oulevey@cern.ch> 2.9.6-1
- update

* Wed Jan 28 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> 2.9.4-1
- update

* Wed Sep 17 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch> 2.9.1-1
- update

* Wed Jul 23 2014 Thomas Oulevey <thomas.oulevey@cern.ch> 2.7.0-1
- update

* Mon Mar 03 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch> 2.5.0-1
- update

* Fri Oct 18 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> 2.3.0-1
- update

* Fri Nov 23 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.76.0-1
- update

* Mon Jul 16 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.73.0-1
- update

* Mon Mar 19 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.67.1-7
- addded lin_tape provide to kmod-lin_tape (via kmodtool-lin_tape)
* Fri Mar 16 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- changed packaging for SLC6, following RHEL6 kmod packaging.

* Thu Mar 15 2012 Matthias Schroder <Matthias.Schroder@cern.ch> 1.67.1
- use lin_tape-1.67.1.tgz from IBM's weird source rpm
- sorry, but they don't provide any real changelog

* Tue Mar 16 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.34.0
- removed udev rules

* Fri Mar 12 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.34.0
- updated to 1.34.0

* Thu Jun 25 2009 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.24.0
- added udev rules

* Fri Jun 05 2009 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.24.0
- Initial build
